Subject: Re: ptp

From: Richard Cochran <[email-masked]>
Date: Wed, 7 Sep 2016 22:48:18 +0200

On Wed, Sep 07, 2016 at 01:40:59PM -0700, Daniel Walker wrote:
> There is a test (below) , which prevents negative nanosecond updates. The
> code below would force a negative update to always return more than
> NSEC_PER_SEC. It should be using abs() instead which would return the value
> desired.

No.  This:

	/*
	 * The value of a timeval is the sum of its fields, but the
	 * field tv_usec must always be non-negative.
	 */

HTH,
Richard